# data that is perssisted between containers
banksim.data=${BANKSIM_DATA_DIRECTORY:target/banksim-data}
banksim.database.dir=${BANKSIM_DATA_DIRECTORY:~}
# data that is lost on container delete


##############################################
# Spring stuff
##############################################
management.endpoints.web.exposure.include=*
management.endpoints.web.exposure.exclude=loggers
management.endpoint.shutdown.enabled=false

spring.data.jpa.repositories.enabled=false
spring.jackson.serialization.indent_output=true


######################
# hikary
######################
spring.datasource.hikari.minimum-idle=1
spring.datasource.hikari.maximum-pool-size=10
spring.datasource.hikari.idle-timeout=300000
spring.datasource.hikari.connection-timeout=20000
spring.datasource.hikari.max-lifetime=1200000
spring.datasource.hikari.leak-detection-threshold=30000


# Enable response compression
server.compression.enabled=true
# The comma-separated list of mime types that should be compressed
server.compression.mime-types=text/html,text/xml,text/plain,text/css,text/javascript,application/javascript,application/json
# Compress the response only if the response size is at least 1KB
server.compression.min-response-size=1024
server.http2.enabled=true
server.tomcat.max-connections=10100

# RabbitMQ config:
spring.rabbitmq.requested-heartbeat=580
spring.rabbitmq.connection-timeout=2000

server.port=8089

##############################################
# Database
##############################################

## General
#https://docs.spring.io/spring-boot/docs/current/reference/html/howto-database-initialization.html
spring.jpa.generate-ddl=true
#spring documents these values: none, validate, update, create, and create-drop
#So the list of possible options are,
#none - No action is performed. The schema will not be generated.
#create-only - The database schema will be generated.
#drop - The database schema will be dropped and created afterwards.
#create - The database schema will be dropped and created afterwards.
#create-drop - The database schema will be dropped and created afterwards. Upon closing the the SessionFactory, the database schema will be dropped.
#validate - The database schema will be validated using the entity mappings.
#update - The database schema will be updated by comparing the existing database schema with the entity mappings.
spring.jpa.hibernate.ddl-auto=update

## FILE H2
spring.datasource.url=jdbc:h2:${banksim.database.dir}/banksim-db;AUTO_SERVER=TRUE
spring.datasource.driverClassName=org.h2.Driver
spring.jpa.database-platform=org.hibernate.dialect.H2Dialect
spring.datasource.username=banksim
spring.datasource.password=banksimpass


#H2 console
spring.h2.console.enabled=true
spring.h2.console.path=/h2-console
banksim.h2.tcpPort=9090

spring.datasource.initialization-mode=always